package io.gmss.fiscad.interfaces.decoupage;

import io.gmss.fiscad.entities.decoupage.Nationalite;
import io.gmss.fiscad.exceptions.BadRequestException;
import io.gmss.fiscad.exceptions.NotFoundException;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Optional;

public interface NationaliteService {

    Nationalite createNationalite(Nationalite nationalite) throws BadRequestException;

    Nationalite updateNationalite(Long id, Nationalite nationalite) throws NotFoundException;

    void deleteNationalite(Long id) throws NotFoundException;

    Page<Nationalite> getNationaliteList(Pageable pageable);

    List<Nationalite> getNationaliteList();

    Optional<Nationalite> getNationaliteById(Long id);
}
